> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md).

# 88. Mutasyon: ZonesMap'i sıkıştırılmış SHP olarak dışa aktar

Seçilen "ZonesMap" öğesini shapefile olarak içeren bir zip arşivi oluşturun.

{% hint style="info" %}
Arşiv, EPSG:4326 koordinat sisteminde \*.shp, \*.shx, \*.prj ve \*.dbf dosyalarından oluşur.
{% endhint %}

### 1. Hazırlık

* Öznitelik `vectorAnalysisMaps` dışa aktarılacak ZonesMaps (VectorAnalysisMaps) nesnelerinden oluşan bir dizi içerir. Bu nesnelerin her biri bir `fieldUuid` (seçilen Field öğesine bağlantı) ve bir `uuid` (seçilen ZonesMap öğesine bağlantı) çifti içerir.
* Boole özniteliği `asMultiGeometry` bölgelerin şu biçimlerden hangisiyle dışa aktarılacağını belirler: `Polygons` veya `MultiPolygons` (şu değere ayarlandığında: `true` ).
* Boole özniteliği `onlyProductColumns` shapefile'a yalnızca ürün içeren sütunların (RX) eklenip eklenmeyeceğini belirtir (şu değere ayarlandığında: `true`). Aksi hâlde tüm istatistiksel öznitelikler ve bölge kimlikleri sütun olarak eklenir.
* Öznitelik `archiveName` oluşturulan zip arşivinin adını içerir.
* Öznitelik `filePostfix` dışa aktarılan dosyalara ve arşive özel sonekler eklenmesini sağlar.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Oluşturulan arşivi indirme

GraphQL sorgusu yürütüldükten sonra arşiv şu komutla indirilebilir: `curl` veya benzer bir yöntemle.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
